#
# spec file for package samba (Version 2.2.8a)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  automake cups-devel cups-libs des libacl libacl-devel libattr libattr-devel openldap2 openldap2-client openldap2-devel openssl openssl-devel popt readline readline-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib cups-devel cups-libs des gcc gdbm gettext heimdal-lib libacl-devel libattr-devel libtool openldap2 openldap2-devel openssl-devel perl popt-devel readline-devel rpm

Name:         samba
Version:      2.2.8a
Release:      234
%define samba_ver 2.2.8a
License:      GPL
Group:        Productivity/Networking/Samba
URL:          http://www.samba.org/
Obsoletes:    samba-classic samba-ldap
Autoreqprov:  on
Requires:     samba-client = %{samba_ver}
PreReq:       %fillup_prereq %insserv_prereq /usr/sbin/groupadd /sbin/chkconfig /usr/bin/touch /usr/bin/diff /bin/cp /bin/mkdir /bin/cat
Summary:      A SMB/ CIFS File Server
Source:       ftp://ftp.samba.org/pub/samba/samba-%{version}.tar.bz2
Source1:      samba.pamd
Source10:     lmhosts
Source12:     nmb.init.tmpl
Source13:     smb.init.tmpl
Source14:     smbfs.init.tmpl
Source15:     winbind.init.tmpl
Source16:     smb.conf
Source17:     smbpasswd
Source18:     smbusers
Source19:     smbfstab
Source20:     README
Source21:     SuSEconfig.samba.tmpl
Source30:     filelist
Source31:     filelist-client
Source32:     sysconfig.samba-client
Source33:     logrotate.samba
Source34:     samba.xinetd
Source35:     nmbstatus
Source36:     smbprngenpdf
Source37:     getSambaOptions
%define vscan_ver 0.3.2a
%define vscan_modules fprot mks openantivirus sophos trend
Source50:     http://prdownloads.sourceforge.net/openantivirus/samba-vscan-%{vscan_ver}.tar.bz2
Patch:        smbadduser.diff
Patch1:       samba-2.2.3-smbsh.dif
Patch3:       pdbedit.diff
Patch4:       samba-2.2.7a-removeldap.diff
Patch7:       msdfsproxy.diff
Patch11:      acl-mapping-fixes.diff
Patch12:      samba-2.2.7a-glibc.diff
Patch13:      samba-2.2.7a-s390.diff
Patch14:      samba-nds.schema.diff
Patch15:      samba-autoconf.diff
Patch16:      nss_winbind.diff
Patch17:      smbmount-negotiate.diff
Patch18:      smbmount-escaped-option.diff
Patch19:      smbmnt-32bituid-reducesize.diff
Patch20:      schannel-2.2.diff.bz2
Patch21:      samba-vfs.diff
Patch22:      nss-soname.diff
Patch23:      smbclient-tar.diff
Patch24:      invalid_workstation.diff
Patch25:      timestamp-64bit.diff
Patch26:      smbprint-debugfilepath.diff
Patch27:      smbd-reply.diff
Patch28:      hotfixMS04-011.diff
Patch29:      vuid-2.2.diff
Patch30:      mangling_method.diff
Patch31:      samba-CAN-2004-0815.diff
Patch36:      samba-CAN-2004-1154.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%define		ETCSMBDIR	%{_sysconfdir}/samba
%define		LIBDIR		%{_libdir}/samba
%define		DOCDIR		%{_defaultdocdir}/%{name}
%define		SHAREDIR	%{_datadir}/samba
%define		CODEPAGEDIR	%{SHAREDIR}/codepages
%define		SWATDIR		%{SHAREDIR}/swat
%define		LOCKDIR		%{_localstatedir}/lib/samba
%define		LOGDIR		%{_localstatedir}/log/samba
%define		PIDDIR		%{_localstatedir}/run/samba
%define		INITDIR		%{_sysconfdir}/init.d
%if %suse_version > 799
%define		SYSCONFIG_FILE	%{_sysconfdir}/sysconfig/samba
%else
%define		SYSCONFIG_FILE	%{_sysconfdir}/rc.config
%endif
%if %ul_version >= 1
%define	VENDOR UL
%else
%define	VENDOR SuSE
%endif
# Choose some features / extra packages here 
############################################

%description
Samba is a suite of programs which work together to allow clients to
access Unix filespace and printers via the SMB/ CIFS protocol.

In practice, this means that you can redirect disks and printers to
Unix disks and printers from LAN Manager, Windows for Workgroups 3.11,
Windows '95, Windows NT, and OS/2 clients.

Samba includes the following programs:

* smbd, the SMB server. This handles actual connections from
   clients.

* nmbd, the Netbios name server. This helps clients locate servers.

* testprns: A program to test server access to printers.

* testparm: A program to test the Samba configuration file for
   correctness.

This package expects its config file to be found in
/etc/samba/smb.conf.



Authors:
--------
    The Samba Team <samba@samba.org>

%package client
Summary:      Samba Client Utilities
Autoreqprov:  on
Group:        Productivity/Networking/Samba
Provides:     smbfs smbclnt
Obsoletes:    smbclnt samba-classic-client samba-ldap-client
PreReq:       %fillup_prereq %insserv_prereq /usr/bin/diff /bin/grep /bin/cp

%description client
This package contains all programs that are needed to act as a Samba
client. This includes smbmount.



Authors:
--------
    The Samba Team <samba@samba.org>

%package doc
Summary:      Samba Documentation
Autoreqprov:  on
Group:        Productivity/Networking/Samba

%description doc
This package contains all the Samba documentation as it is not part of
the man pages.



Authors:
--------
    The Samba Team <samba@samba.org>

%package -n libsmbclient
Summary:      Samba client library
Autoreqprov:  on
Group:        System/Libraries

%description -n libsmbclient
This package includes the libsmbclient library.



Authors:
--------
    The Samba Team <samba@samba.org>

%package -n libsmbclient-devel
Summary:      Libraries and header files to develop programs with smbclient support
Autoreqprov:  on
Group:        Development/Libraries/C and C++
Requires:     libsmbclient = %{samba_ver}

%description -n libsmbclient-devel
This package contains static libraries and header files needed to
develop programs which make use of the smbclient programming interface.



Authors:
--------
    The Samba Team <samba@samba.org>

%package vscan
Version:      0.3.2a
Release:      287
URL:          http://www.openantivirus.org/
Summary:      On-Access Virus Scanning with Samba
Autoreqprov:  on
Group:        Productivity/Networking/Samba
Requires:     samba = %{samba_ver}

%description vscan
samba-vscan provides on-access scanning of Samba shares with FRISK
F-Prot Daemon, Kaspersky AntiVirus, OpenAntiVirus.org ScannerDaemon,
Sophos Sweep (SAVI), Symantec CarrierScan, and Trend Micro (VSAPI).



Authors:
--------
    Rainer Link <rainer@openantivirus.org>

%prep
%setup -a 50
%patch -p1
%patch1
%patch3 -p1
%patch4
%patch7 -p1
%patch11 -p1
%patch12
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch20 -p1
%patch31 -p0
%patch36 -p1
echo "#define VERSION \"%samba_ver-%{VENDOR}\"" > source/include/version.h
mv samba-vscan-%{vscan_ver} examples/VFS

%build
# This loop builds samba with classic and LDAP SAM.
declare -i PASS=0
while [ ${PASS} -lt 2 ]; do
if [ ${PASS} -eq 0 ]; then
	cp -a ${RPM_BUILD_DIR}/%{name}-%{samba_ver} ${RPM_BUILD_DIR}/%{name}-%{samba_ver}-ldap
else
	mv ${RPM_BUILD_DIR}/%{name}-%{samba_ver} ${RPM_BUILD_DIR}/%{name}-%{samba_ver}-classic
	mv ${RPM_BUILD_DIR}/%{name}-%{samba_ver}-ldap ${RPM_BUILD_DIR}/%{name}-%{samba_ver}
fi
cd ${RPM_BUILD_DIR}/%{name}-%{samba_ver}/source
CONFIGURE_OPTS=" \
	--prefix=%{_prefix} \
	--libdir=%{LIBDIR} \
	--localstatedir=%{LOCKDIR} \
	--mandir=%{_mandir} \
	--sbindir=%{_sbindir} \
	--with-codepagedir=%{CODEPAGEDIR} \
	--with-privatedir=%{ETCSMBDIR} \
	--with-configdir=%{ETCSMBDIR} \
	--with-swatdir=%{SWATDIR} \
	--with-sambabook=%{DOCDIR}/htmldocs/using_samba \
	--with-logfilebase=%{LOGDIR} \
	--with-lockdir=%{LOCKDIR} \
	--with-automount \
	--with-smbmount \
	--with-smbwrapper \
	--with-piddir=%{PIDDIR} \
	--with-pam \
	--with-pam_smbpass \
	--with-syslog \
	--with-quotas \
	--with-utmp \
	--with-msdfs \
	--with-vfs \
	--with-libsmbclient \
	--with-acl-support \
	--with-sendfile-support \
	--with-winbind \
	--with-winbind-auth-challenge \
	--with-winbind-ldap-hack \
	--with-sgml-share=%{_datadir}"
test ${PASS} -eq  1 && CONFIGURE_OPTS="${CONFIGURE_OPTS} --with-ldapsam"
%{?suse_update_config:%{suse_update_config -f}}
# -O Means: Don't do inlining(cancels O2 from OPT_FLAGS), bins are big enough
export CFLAGS="$RPM_OPT_FLAGS -Wall -O -D_GNU_SOURCE -D_LARGEFILE64_SOURCE"
autoreconf --force --install
./configure ${CONFIGURE_OPTS}
%{__make}	proto
%{__make}	PASSWD_PROGRAM=%{_bindir}/passwd
%{__make}	nsswitch
%{__make}	nsswitch/libnss_wins.so
%{__make}	-C tdb/ tdbdump tdbtest tdbtool
%{__make}	-C ../examples/LDAP/smbldap-tools/mkntpwd/
# build VFS modules
cd ../examples/VFS
%{?suse_update_config:%{suse_update_config -f}}
autoreconf --force --install
./configure ${CONFIGURE_OPTS}
%{__make}
cd samba-vscan-%{vscan_ver}
export USE_INCLMKSDLIB=1
for module in %{vscan_modules}; do
	%{__make} -C  ${module}
done
PASS=$[PASS+1]
# end of the build loop
done
# switch RPM_BUILD_DIR to classic
mv ${RPM_BUILD_DIR}/%{name}-%{samba_ver} ${RPM_BUILD_DIR}/%{name}-%{samba_ver}-ldap
mv ${RPM_BUILD_DIR}/%{name}-%{samba_ver}-classic ${RPM_BUILD_DIR}/%{name}-%{samba_ver}
${RPM_SOURCE_DIR}/getSambaOptions ${RPM_BUILD_DIR}/%{name}-%{samba_ver}/source/param/loadparm.c >${RPM_SOURCE_DIR}/samba.options.ini

%install
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}{,-*}
declare -i PASS=0
while [ ${PASS} -lt 2 ]; do
if [ ${PASS} -eq 1 ]; then
	mv ${RPM_BUILD_DIR}/%{name}-%{samba_ver} ${RPM_BUILD_DIR}/%{name}-%{samba_ver}-classic
	mv ${RPM_BUILD_DIR}/%{name}-%{samba_ver}-ldap ${RPM_BUILD_DIR}/%{name}-%{samba_ver}
	mv ${RPM_BUILD_ROOT} ${RPM_BUILD_ROOT}-classic
fi
mkdir -p \
	${RPM_BUILD_ROOT}/%{_bindir} \
	${RPM_BUILD_ROOT}/sbin/conf.d \
	${RPM_BUILD_ROOT}/%{_sbindir} \
	${RPM_BUILD_ROOT}/%{ETCSMBDIR} \
	${RPM_BUILD_ROOT}/etc/logrotate.d \
	${RPM_BUILD_ROOT}/etc/xinetd.d \
	${RPM_BUILD_ROOT}/%{_sysconfdir}/openldap/schema \
	${RPM_BUILD_ROOT}/%{INITDIR} \
	${RPM_BUILD_ROOT}/%{LIBDIR} \
	${RPM_BUILD_ROOT}/%{_libdir}/cups/backend/ \
	${RPM_BUILD_ROOT}/%{_includedir}/samba/nsswitch \
	${RPM_BUILD_ROOT}/%{_lib}/security \
	${RPM_BUILD_ROOT}/%{_mandir} \
	${RPM_BUILD_ROOT}/%{CODEPAGEDIR} \
	${RPM_BUILD_ROOT}/%{SHAREDIR}/script \
	${RPM_BUILD_ROOT}/%{DOCDIR} \
	${RPM_BUILD_ROOT}/%{DOCDIR}-vscan \
	${RPM_BUILD_ROOT}/%{LOCKDIR}/bin \
	${RPM_BUILD_ROOT}/%{SWATDIR} \
	${RPM_BUILD_ROOT}/%{LOGDIR} \
	${RPM_BUILD_ROOT}/%{PIDDIR} \
	${RPM_BUILD_ROOT}/%{_var}/adm/fillup-templates
cd ${RPM_BUILD_DIR}/%{name}-%{samba_ver}/source
%{__make} \
	BASEDIR=${RPM_BUILD_ROOT}/%{_prefix} \
	BINDIR=${RPM_BUILD_ROOT}/%{_bindir} \
	SBINDIR=${RPM_BUILD_ROOT}/%{_sbindir} \
	LIBDIR=${RPM_BUILD_ROOT}/%{LIBDIR} \
	MANDIR=${RPM_BUILD_ROOT}/%{_mandir} \
	CODEPAGEDIR=${RPM_BUILD_ROOT}/%{CODEPAGEDIR} \
	LOCKDIR=${RPM_BUILD_ROOT}/%{LOCKDIR} \
	SWATDIR=${RPM_BUILD_ROOT}/%{SWATDIR} \
	install
%{__make} -C ../examples/LDAP/smbldap-tools/mkntpwd/ \
	PREFIX=${RPM_BUILD_ROOT}/%{_prefix} \
	install
install -m 0755 script/smbadduser ${RPM_BUILD_ROOT}/%{_bindir}
install -m 0755 ${RPM_SOURCE_DIR}/nmbstatus ${RPM_BUILD_ROOT}/%{_bindir}
perldoc -U ${RPM_SOURCE_DIR}/nmbstatus >${RPM_BUILD_ROOT}/%{_mandir}/man1/nmbstatus.1
install -m 0755 ${RPM_SOURCE_DIR}/smbprngenpdf ${RPM_BUILD_ROOT}/%{_bindir}
# call smbmount as mount.smbfs
ln -sf %{_bindir}/smbmount ${RPM_BUILD_ROOT}/sbin/mount.smbfs
# cups SMB support
ln -sf ../../../bin/smbspool ${RPM_BUILD_ROOT}/%{_libdir}/cups/backend/smb
# smbpass pam support
install -m 0755 bin/pam_smbpass.so ${RPM_BUILD_ROOT}/%{_lib}/security
rm ${RPM_BUILD_ROOT}/%{_bindir}/pam_smbpass.so
# wins support for NSS
install -m 0755 nsswitch/libnss_wins.so ${RPM_BUILD_ROOT}/%{_lib}/libnss_wins.so.2
# winbind and shared libraries
install -m 0755 nsswitch/libnss_winbind.so ${RPM_BUILD_ROOT}/%{_lib}/libnss_winbind.so.2
install -m 0755 nsswitch/pam_winbind.so ${RPM_BUILD_ROOT}/%{_lib}/security
# libsmbclient
install -m 0644 include/libsmbclient.h ${RPM_BUILD_ROOT}/%{_includedir}
install -m 0644 bin/libsmbclient.a ${RPM_BUILD_ROOT}/%{_libdir}
install -m 0755 bin/libsmbclient.so ${RPM_BUILD_ROOT}/%{_libdir}/libsmbclient.so.0
ln -s libsmbclient.so.0 ${RPM_BUILD_ROOT}/%{_libdir}/libsmbclient.so
# samba-devel; needed by squid
install -m 0644 nsswitch/winbind_nss_config.h ${RPM_BUILD_ROOT}/%{_includedir}/samba/nsswitch
install -m 0644 nsswitch/winbindd_nss.h ${RPM_BUILD_ROOT}/%{_includedir}/samba/nsswitch
install -m 0644 nsswitch/sys_nss.h ${RPM_BUILD_ROOT}/%{_includedir}/samba/nsswitch
# smbwrapper lib
install -m 0755 bin/smbwrapper.so ${RPM_BUILD_ROOT}/%{LIBDIR}
rm ${RPM_BUILD_ROOT}/%{_bindir}/smbwrapper.so
# move binaries to SAM related name, create filelists for runtime configuration
# and package
test ${PASS} -eq 0 && BIN_SUFFIX="classic" || BIN_SUFFIX="ldap"
mkdir ${RPM_BUILD_ROOT}/%{LIBDIR}/$BIN_SUFFIX
for file in ${RPM_SOURCE_DIR}/filelist*; do
	while read filename; do
		bin=$( find ${RPM_BUILD_ROOT} -type f -name ${filename##*/})
		test -z $bin && continue
		mv $bin ${RPM_BUILD_ROOT}/%{LIBDIR}/$BIN_SUFFIX
		# Create sym links to have the changeable part in /var
		ln -s %{LIBDIR}/$BIN_SUFFIX/${bin##*/} ${RPM_BUILD_ROOT}/%{LOCKDIR}/bin/${bin##*/}
		ln -s %{LOCKDIR}/bin/${bin##*/} ${bin}
		# Create server and client package filelist
		echo %{LIBDIR}/$BIN_SUFFIX/${bin##*/} >> ${RPM_BUILD_DIR}/samba-%{samba_ver}/filelist${file#${RPM_SOURCE_DIR}/filelist}-${BIN_SUFFIX}
		echo %{LOCKDIR}/bin/${bin##*/} >> ${RPM_BUILD_DIR}/samba-%{samba_ver}/filelist${file#${RPM_SOURCE_DIR}/filelist}-${BIN_SUFFIX}
		echo ${bin#${RPM_BUILD_ROOT}} >>  ${RPM_BUILD_DIR}/samba-%{samba_ver}/filelist${file#${RPM_SOURCE_DIR}/filelist}-${BIN_SUFFIX}
	done < "${file}"
done
# install tdbtools
install -m 0755 tdb/{tdbdump,tdbtest,tdbtool} ${RPM_BUILD_ROOT}/%{LIBDIR}
# doc
mv msdfs/README ${RPM_BUILD_ROOT}/%{DOCDIR}/README.msdfs
mv nsswitch/README ${RPM_BUILD_ROOT}/%{DOCDIR}/README.nsswitch
mv smbwrapper/README ${RPM_BUILD_ROOT}/%{DOCDIR}/README.smbwrapper
mkdir ${RPM_BUILD_ROOT}/%{DOCDIR}/pam_smbpass
mv pam_smbpass/README ${RPM_BUILD_ROOT}/%{DOCDIR}/pam_smbpass
mv pam_smbpass/samples ${RPM_BUILD_ROOT}/%{DOCDIR}/pam_smbpass
# utility scripts
cd script
install -m 0755 convert_smbpasswd ${RPM_BUILD_ROOT}/%{SHAREDIR}/script
install -m 0755 mknissmbp* ${RPM_BUILD_ROOT}/%{SHAREDIR}/script
install -m 0755 mksmbpasswd.sh ${RPM_BUILD_ROOT}/%{SHAREDIR}/script
cd ../..
# VFS modules
for module in $( find examples/VFS/ -type f -name '*.so'); do
	install -m 0755 "${module}" ${RPM_BUILD_ROOT}/%{LIBDIR}/
	rm "${module}"
done
find ${RPM_BUILD_ROOT}%{LIBDIR} -name "vscan-*" -type f | \
	sed -e "s!^${RPM_BUILD_ROOT}!!" > filelist-vscan
# Remove superfluous files
for fn in .cvsignore config.* configure* Makefile* *.c *.o .libs *.so; do
	find examples/VFS/ -iname "${fn}" -print0 | xargs -0 rm -rf
done
# documentation of samba-vscan
pushd examples/VFS/samba-vscan-%{vscan_ver}
install -m 0644 AUTHORS COPYING ChangeLog FAQ NEWS README TODO \
	${RPM_BUILD_ROOT}/%{DOCDIR}-vscan
popd
# Cleanup docs
rm -rf \
	docs/{docbook,manpages,yodldocs} \
	docs/faq/*{sgml,txt} \
	docs/htmldocs/*.[0-9].html \
	${RPM_BUILD_ROOT}/%{SWATDIR}/using_samba \
	examples/LDAP/smbldap-tools \
	examples/VFS/samba-vscan-%{vscan_ver}
ln -s ../../doc/packages/%{name}/htmldocs/using_samba ${RPM_BUILD_ROOT}/%{SWATDIR}
mv examples/LDAP/samba.schema ${RPM_BUILD_ROOT}/%{_sysconfdir}/openldap/schema
find docs examples -type d -print0 | xargs -0 chmod 755
find docs examples -type f -print0 | xargs -0 chmod 644
# documentation of samba
mv docs/* examples COPYING Manifest README Roadmap WHATSNEW.txt ${RPM_BUILD_ROOT}/%{DOCDIR}
install -m 0644 ${RPM_SOURCE_DIR}/README ${RPM_BUILD_ROOT}/%{DOCDIR}/README.%{VENDOR}
# configuration files
install -m 0644 ${RPM_SOURCE_DIR}/samba.xinetd ${RPM_BUILD_ROOT}/etc/xinetd.d/samba
echo "# smb.conf is the main Samba configuration file. You find a full commented" > ${RPM_BUILD_ROOT}/%{ETCSMBDIR}/smb.conf
echo "# version at %{DOCDIR}/examples/smb.conf.%{VENDOR}" >> ${RPM_BUILD_ROOT}/%{ETCSMBDIR}/smb.conf
echo "# Date: $( date -I)" >> ${RPM_BUILD_ROOT}/%{ETCSMBDIR}/smb.conf
grep -v "\(^#\|^;\|^$\)" ${RPM_SOURCE_DIR}/smb.conf >> ${RPM_BUILD_ROOT}/%{ETCSMBDIR}/smb.conf
install -m 0644 ${RPM_SOURCE_DIR}/smb.conf ${RPM_BUILD_ROOT}/%{DOCDIR}/examples/smb.conf.%{VENDOR}
install -m 0644 ${RPM_SOURCE_DIR}/lmhosts ${RPM_BUILD_ROOT}/%{ETCSMBDIR}/
install -m 0600 ${RPM_SOURCE_DIR}/smbpasswd ${RPM_BUILD_ROOT}/%{ETCSMBDIR}/
install -m 0644 ${RPM_SOURCE_DIR}/smbusers ${RPM_BUILD_ROOT}/%{ETCSMBDIR}/
install -m 0600 ${RPM_SOURCE_DIR}/smbfstab ${RPM_BUILD_ROOT}/%{ETCSMBDIR}/
install -D -m 0644 ${RPM_SOURCE_DIR}/samba.pamd ${RPM_BUILD_ROOT}/%{_sysconfdir}/pam.d/samba
install -m 0644 ${RPM_SOURCE_DIR}/logrotate.samba ${RPM_BUILD_ROOT}/etc/logrotate.d/samba
# start script; SuSEconfig.samba
for fn in SuSEconfig.samba nmb smb smbfs winbind; do
	case ${fn} in
		SuSEconfig.samba)
			DEST_DIR="sbin/conf.d"; FN_SUFFIX=""
			;;
		*)
			DEST_DIR="%{INITDIR}"; FN_SUFFIX=".init"
			ln -sf %{INITDIR}/${fn} ${RPM_BUILD_ROOT}/%{_sbindir}/rc${fn}
			;;
	esac
	test -f ${RPM_SOURCE_DIR}/${fn}${FN_SUFFIX}.tmpl && \
		sed -e "s@_LIBDIR_@%LIBDIR@g" \
			-e "s@_SYSCONFIG_FILE_@%SYSCONFIG_FILE@g" \
			-e "s@_ETCSMBDIR_@%ETCSMBDIR@g" \
				${RPM_SOURCE_DIR}/${fn}${FN_SUFFIX}.tmpl > \
				${RPM_SOURCE_DIR}/${fn}${FN_SUFFIX}
	install -m 0744 ${RPM_SOURCE_DIR}/${fn}${FN_SUFFIX} ${RPM_BUILD_ROOT}/${DEST_DIR}/${fn}
done
install -m 0644 ${RPM_SOURCE_DIR}/sysconfig.samba-client ${RPM_BUILD_ROOT}/%{_var}/adm/fillup-templates/
# create netlogon, printer drivers and profiles directories
mkdir -p ${RPM_BUILD_ROOT}/%{_localstatedir}/lib/samba/{netlogon,drivers/{W32X86,WIN40,W32ALPHA,W32MIPS,W32PPC},profiles}
# let ldconfig create symlinks
ldconfig -n ${RPM_BUILD_ROOT}/%{_libdir}
PASS=$[PASS+1]
# end of install loop
done
# Make backup of ldap build dir, move classic to the default name
mv ${RPM_BUILD_DIR}/samba-%{samba_ver} ${RPM_BUILD_DIR}/samba-%{samba_ver}-ldap
mv ${RPM_BUILD_DIR}/samba-%{samba_ver}-classic ${RPM_BUILD_DIR}/samba-%{samba_ver}
# Make backup of ldap build root, move classic to the default name
mv ${RPM_BUILD_ROOT} ${RPM_BUILD_ROOT}-ldap
mv ${RPM_BUILD_ROOT}-classic ${RPM_BUILD_ROOT}
# Move filelists-ldap* to default directory
mv ${RPM_BUILD_ROOT}-ldap/%{_bindir}/pdbedit ${RPM_BUILD_ROOT}/%{_bindir}
mv ${RPM_BUILD_ROOT}-ldap/%{_mandir}/man8/pdbedit.8 ${RPM_BUILD_ROOT}/%{_mandir}/man8
mv ${RPM_BUILD_ROOT}-ldap/%{LOCKDIR}/bin/pdbedit ${RPM_BUILD_ROOT}/%{LOCKDIR}/bin
mv ${RPM_BUILD_ROOT}-ldap/%{LIBDIR}/ldap ${RPM_BUILD_ROOT}/%{LIBDIR}
# Create samba and samba-client filelist
cat ${RPM_BUILD_DIR}/samba-%{samba_ver}/filelist-classic > ${RPM_BUILD_DIR}/filelist.tmp
cat ${RPM_BUILD_DIR}/samba-%{samba_ver}-ldap/filelist-ldap >> ${RPM_BUILD_DIR}/filelist.tmp
sort -u ${RPM_BUILD_DIR}/filelist.tmp > ${RPM_BUILD_DIR}/samba-%{samba_ver}/filelist
cat ${RPM_BUILD_DIR}/samba-%{samba_ver}/filelist-client-classic > ${RPM_BUILD_DIR}/filelist-client.tmp
cat ${RPM_BUILD_DIR}/samba-%{samba_ver}-ldap/filelist-client-ldap >> ${RPM_BUILD_DIR}/filelist-client.tmp
sort -u ${RPM_BUILD_DIR}/filelist-client.tmp > ${RPM_BUILD_DIR}/samba-%{samba_ver}/filelist-client
# add %{DOCDIR} and README to client filelist
echo -e "%dir %{DOCDIR}\n%doc %{DOCDIR}/README.%{VENDOR}" >> ${RPM_BUILD_DIR}/samba-%{samba_ver}/filelist-client
# create doc package file list
for file in $( find ${RPM_BUILD_ROOT}%{DOCDIR} -maxdepth 1); do
	# exclude %{DOCDIR} and README
	case "${file#${RPM_BUILD_ROOT}}" in
		%{DOCDIR}|%{DOCDIR}/README.%{VENDOR}) continue ;;
	esac
	echo "%doc ${file#${RPM_BUILD_ROOT}}" >> ${RPM_BUILD_DIR}/samba-%{samba_ver}/filelist-doc
done
install -m 0644 ${RPM_SOURCE_DIR}/samba.options.ini ${RPM_BUILD_ROOT}/%{SHAREDIR}

%clean
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}{,-*}

%pre
/usr/sbin/groupadd -g 71 -o -r ntadmin 2>/dev/null || :
# Are we in update mode?
if [ ${1:-0} -gt 1 ]; then
	NMBFILESTAT="var/tmp/samba-no-etc_init.d_nmb"
	test -f ${NMBFILESTAT} && old ${NMBFILESTAT} >/dev/null
	test -f etc/init.d/nmb || touch ${NMBFILESTAT}
fi

%preun
%stop_on_removal smb nmb

%post
#
# Initialize runlevel links and take care of old START_SMB
#
%{fillup_and_insserv smb}
# Are we in update mode?
if [ ${FIRST_ARG:-0} -gt 1 ]; then
	# Only check for an insserv update of nmb if there was no nmb
	# init script installed before the update.
	NMBFILESTAT="var/tmp/samba-no-etc_init.d_nmb"
	if [ -f ${NMBFILESTAT} ]; then
		chkconfig --check smb && sbin/insserv nmb || :
		test ! -s ${NMBFILESTAT} && rm -f ${NMBFILESTAT}
	fi
	UPDATE_INFO="no"
	function update_info()
	{
		test ${UPDATE_INFO} = "yes" && return
		echo "Copying samba config files to new location /etc/samba/:"
		UPDATE_INFO="yes"
	}
	for fn in lmhosts smb.conf smbpasswd; do
		if [ -f etc/${fn} -a ! -L etc/${fn} ]; then
			update_info
		  	echo ${fn}
			test -f etc/samba/${fn} && ( diff etc/${fn} etc/samba/${fn} >/dev/null || old etc/samba/${fn} )
			cp -a etc/${fn} etc/samba/${fn}
		fi
	done
	# Take care for MACHINE.SID, secrets.tdb as they are not part of any RPM
	for fn in MACHINE.SID secrets.tdb; do
		if [ -f etc/${fn} ]; then
			update_info
			if [ -f etc/samba/${fn} ]; then
				echo "Warning: /etc/samba/${fn} already exists, skipped."
				old etc/${fn}
			elif [ ! -L etc/${fn} ]; then
				echo ${fn}
				mv  etc/${fn} etc/samba/${fn}
			fi
		fi
	done
fi
mkdir -p var/adm/notify/messages
cat << EOF > var/adm/notify/messages/samba-notify
Hello,  (deutsche Version weiter unten)
 
in /usr/share/doc/packages/samba/README.%{VENDOR} the specialities of
the Samba package are described.
 
 
Hallo,
 
in /usr/share/doc/packages/samba/README.%{VENDOR} sind die Besonder-
heiten des Samba-Paketes beschrieben.
 
Have a lot of fun...
EOF
# ---------------------------------------------------------------------------
if [ -z "${YAST_IS_RUNNING}" -a -x sbin/conf.d/SuSEconfig.samba ]; then
	sbin/SuSEconfig --module samba
fi

%postun
%restart_on_update nmb smb
%{insserv_cleanup}

%pre client
if [ -x usr/bin/smbclient -a ! -e etc/sysconfig/samba ]; then
	if ldd usr/bin/smbclient | grep libldap.so. >/dev/null; then
		test -f var/tmp/samba-update-ldap && old var/tmp/samba-update-ldap
		touch var/tmp/samba-update-ldap
	fi
fi

%post client
function update_info()
{
	test ${UPDATE_INFO} = "yes" && return
	echo "Copying samba-client config files to new location /etc/samba/:"
	UPDATE_INFO="yes"
}
# check and copy old configuration files
UPDATE_INFO="no"
for fn in lmhosts smb.conf; do
	if [ -f etc/${fn} -a ! -L etc/${fn} ]; then
		update_info
		echo ${fn}
		test -f etc/samba/${fn} && ( diff etc/${fn} etc/samba/${fn} >/dev/null || old etc/samba/${fn})
		cp -a etc/${fn} etc/samba/${fn}
	fi
done
# never had a start-variable, no fillup magic needed
%{fillup_and_insserv -fpy smbfs}
if [ -f var/tmp/samba-update-ldap ]; then
	sed -e "s/^SAMBA_SAM=\"classic\"/SAMBA_SAM=\"ldap\"/g" \
		var/adm/fillup-templates/sysconfig.samba-client > \
		var/adm/fillup-templates/sysconfig.samba-client.new
	test -s var/adm/fillup-templates/sysconfig.samba-client.new &&
		mv var/adm/fillup-templates/sysconfig.samba-client.new var/adm/fillup-templates/sysconfig.samba-client
	test ! -s var/tmp/samba-update-ldap && rm -f var/tmp/samba-update-ldap
fi
%{fillup_only -ans samba client}
if [ -z "${YAST_IS_RUNNING}" ]; then
	sbin/SuSEconfig --module samba
fi

%preun client
%stop_on_removal winbind

%postun client
%restart_on_update winbind
%{insserv_cleanup}

%files -f filelist
%config(noreplace) %{_sysconfdir}/pam.d/samba
%config %{_sysconfdir}/init.d/nmb
%config %{_sysconfdir}/init.d/smb
%attr(0600,root,root) %config(noreplace) %{ETCSMBDIR}/smbpasswd
%config(noreplace) %{ETCSMBDIR}/smbusers
%config(noreplace) /etc/logrotate.d/samba
%config(noreplace) /etc/xinetd.d/samba
%{_bindir}/smbadduser
%{_sbindir}/rcnmb
%{_sbindir}/rcsmb
%{LIBDIR}/audit.so
%{LIBDIR}/block.so
%{LIBDIR}/recycle.so
%{LIBDIR}/skel.so
%{SHAREDIR}/samba.options.ini
%{SHAREDIR}/script
%{SWATDIR}
%doc %{_mandir}/man1/make_smbcodepage.1.gz
%doc %{_mandir}/man1/make_unicodemap.1.gz
%doc %{_mandir}/man1/smbsh.1.gz
%doc %{_mandir}/man1/smbstatus.1.gz
%doc %{_mandir}/man1/testprns.1.gz
%doc %{_mandir}/man5/smbpasswd.5.gz
%doc %{_mandir}/man7/samba.7.gz
%doc %{_mandir}/man8/nmbd.8.gz
%doc %{_mandir}/man8/smbd.8.gz
%doc %{_mandir}/man8/swat.8.gz
%dir /%{_localstatedir}/lib/samba/netlogon
%attr(0775,root,ntadmin) /%{_localstatedir}/lib/samba/drivers
%attr(0770,root,users) %dir /%{_localstatedir}/lib/samba/profiles
%dir %{_includedir}/samba
%dir %{_includedir}/samba/nsswitch
%{_includedir}/samba/nsswitch/*

%files client -f filelist-client
%dir %{ETCSMBDIR}
%config(noreplace) %{ETCSMBDIR}/lmhosts
%config(noreplace) %{ETCSMBDIR}/smb.conf
%attr(0600,root,root) %config(noreplace) %{ETCSMBDIR}/smbfstab
%dir %{_sysconfdir}/openldap/schema
%attr(0444, root, root) %config %{_sysconfdir}/openldap/schema/samba.schema
%config %{_sysconfdir}/init.d/smbfs
%config %{_sysconfdir}/init.d/winbind
%{_bindir}/findsmb
%{_bindir}/nmbstatus
%{_bindir}/smbprngenpdf
%{_bindir}/smbtar
%{_bindir}/tdbbackup
%{_sbindir}/mkntpwd
%{_sbindir}/rcsmbfs
%{_sbindir}/rcwinbind
/sbin/conf.d/SuSEconfig.samba
/sbin/mount.smbfs
%{CODEPAGEDIR}
%dir %{SHAREDIR}
/%{_lib}/libnss_winbind.so.2
/%{_lib}/security/pam_winbind.so
%dir %{LIBDIR}
%dir %{LIBDIR}/classic
%dir %{LIBDIR}/ldap
%{LIBDIR}/tdbdump
%{LIBDIR}/tdbtest
%{LIBDIR}/tdbtool
%dir %{_libdir}/cups
%dir %{_libdir}/cups/backend
%{_libdir}/cups/backend/smb
%doc %{_mandir}/man1/findsmb.1.gz
%doc %{_mandir}/man1/nmblookup.1.gz
%doc %{_mandir}/man1/nmbstatus.1.gz
%doc %{_mandir}/man1/rpcclient.1.gz
%doc %{_mandir}/man1/smbcacls.1.gz
%doc %{_mandir}/man1/smbclient.1.gz
%doc %{_mandir}/man1/smbcontrol.1.gz
%doc %{_mandir}/man1/testparm.1.gz
%doc %{_mandir}/man1/wbinfo.1.gz
%doc %{_mandir}/man1/smbtar.1.gz
%doc %{_mandir}/man5/lmhosts.5.gz
%doc %{_mandir}/man5/smb.conf.5.gz
%doc %{_mandir}/man8/pdbedit.8.gz
%doc %{_mandir}/man8/smbmnt.8.gz
%doc %{_mandir}/man8/smbmount.8.gz
%doc %{_mandir}/man8/smbpasswd.8.gz
%doc %{_mandir}/man8/smbspool.8.gz
%doc %{_mandir}/man8/smbumount.8.gz
%doc %{_mandir}/man8/winbindd.8.gz
%dir %{LOCKDIR}
%dir %{LOCKDIR}/bin
%{_var}/adm/fillup-templates/sysconfig.samba-client
%attr(0750,root,root) %dir %{LOGDIR}
%dir %{PIDDIR}

%files doc -f filelist-doc

%files -n libsmbclient
%{_libdir}/libsmbclient.so.*

%files -n libsmbclient-devel
%{_includedir}/libsmbclient.h
%{_libdir}/libsmbclient.a
%{_libdir}/libsmbclient.so

%files vscan -f filelist-vscan
%docdir %{DOCDIR}-vscan
%{DOCDIR}-vscan

%changelog -n samba
* Thu Jan 20 2005 - lmuelle@suse.de
- Fix order of evaluation in the bitmap code; Samba.org svn revision 4120;
  [#49804].
* Fri Dec 17 2004 - lmuelle@suse.de
- Fix remote exploitation of an integer overflow vulnerability in the smbd
  daemon; patch made by Thomas Biege <thomas at suse dot de>; CAN-2004-1154;
  [#49119].
- Always stop winbind if the init script is called with stop, [#47108].
* Thu Sep 30 2004 - meissner@suse.de
- Fixed potential file access outside of defined shares. [#46352],
  CAN-2004-0815
* Wed Jul 21 2004 - lmuelle@suse.de
- Fix buffer overrun in 'mangling method = hash', [#43061].  CAN-2004-0686.
* Mon Jun 28 2004 - lmuelle@suse.de
- Fix schannel patch which made machine account password changes for Microsoft
  Windows XP and 2000 domain members impossible [#40087].
- Add package release to VERSION in include/version.h.
* Wed Jun 16 2004 - lmuelle@suse.de
- Fix error packets return code to allow clients the reuse of a former
  assigned virtual uid [#42022].
* Wed May 26 2004 - lmuelle@suse.de
- Use /var/log/samba/ as a secure directory for all smb-print scripts
  [#36676].
* Thu May 06 2004 - lmuelle@suse.de
- Fix password change broken by Microsoft hotfix MS04-011 [#40087].
- Remove bogus nettime code.
- Enhance waiting for cupsd function in the smb init script
  * only check with lpstat every two seconds
  * remember start time in seconds and calculate the waiting time in relation
  to this; this is important if a configured CUPS server is unreachable.
  In this case we now really wait only 30 seconds and not 30 times of the
  lpstat timeout.
  * Thanks to Bjoern Jacke <bjoern at j3e dot de> for the patch.
- Fix path to smb-print.log [#36676].
- Fix for timestamp problem on 64 bit architectures [#34464].
- Fix unnecessary mount requests if 'add user script' isn't used [#33194].
* Fri Oct 24 2003 - lmuelle@suse.de
- add patch to handle logons restrictions of userworkstations in domain
  security, [#32660]
* Thu Oct 09 2003 - lmuelle@suse.de
- move /var/log/samba and /var/run/samba to samba-client [#30027]
* Mon Sep 15 2003 - kukuk@suse.de
- Add requires to libsmbclient-devel [Bug #30718]
* Fri Sep 05 2003 - kukuk@suse.de
- Move /var/log/samba and /var/run/samba to samba-client [#30027]
* Thu Aug 28 2003 - lmuelle@suse.de
- call sbin/SuSEconfig --module samba and not directly the script in the %%post
  section
* Tue Aug 26 2003 - lmuelle@suse.de
- add patch from Ademar de Souza Reis Jr. <ademar at conectiva dot com dot br>
  for smbclient to get a working -TI option, #27353
* Thu Aug 21 2003 - lmuelle@suse.de
- add nss-soname patch from Andreas Schwab, #28248
- add stop_on_removal and restart_on_update macros to preun and postun section
* Tue Jul 29 2003 - lmuelle@suse.de
- point getSambaOptions to the right location of the source file
- fix handling of uninitialized variable in nmbstatus
* Mon Jul 28 2003 - lmuelle@suse.de
- add Urban Widmark <urban at teststation dot com> patches for smbmount; this
  includes LFS, unicode, escape character, and 32 bit uid suppprt, #18472
- add nmbstatus utility
- add schannel feature from Volker Lendecke <Volker.Lendecke at SerNet dot DE>
- move winbind init script and rc sysm link to the client package
- remove superfluous linkvfs patch
- activate root = administrator admin in smbusers by default
- add smbprngenpdf
- add configure option --with-sendfile-support
- autocreate samba.opts.ini while build
* Mon Jun 23 2003 - lmuelle@suse.de
- add /usr/lib/cups/backend/smb to the samba-client package
- unify init scripts; add one space at the end to all echos
* Wed Jun 04 2003 - lmuelle@suse.de
- fix pointer cast on 64bit big endian architecture in winbind_nss.c, #27220
- add new sysconfig tags
* Wed May 14 2003 - ro@suse.de
- run autoreconf / fix build with latest libtool
* Thu May 08 2003 - lmuelle@suse.de
- remove %%ghost from sym linked files
* Mon Apr 28 2003 - lmuelle@suse.de
- cleanup %%post script part which takes care of old configuration location
* Sun Apr 20 2003 - lmuelle@suse.de
- remove tdbtorture from package on request of the Samba team
- update to version 2.2.8a
* Mon Mar 17 2003 - lmuelle@suse.de
- readd map to guest = Bad User to smb.conf
* Fri Mar 14 2003 - lmuelle@suse.de
- move samba LDAP schema to the client package
- add product suffix to README and smb.conf files of documentation
- mark sym links from /var/lib/samba/bin/ as %%ghost
* Thu Mar 13 2003 - lmuelle@suse.de
- add security patch for the client side, #25140
- remove check for existence of sysconfig and smb.conf from smbfs init script
* Wed Mar 12 2003 - lmuelle@suse.de
- add security patch from SuSE Security Team, #25140
- cleanup init scripts try-restart part
* Mon Mar 10 2003 - lmuelle@suse.de
- add fix to samba-nds.schema provided by Jochen Schaefer <jschaef@SuSE.de>
- add fixes for winbind caching and uid handling , smbpasswd, smbd and TDB
  handling
* Sun Mar 09 2003 - kukuk@suse.de
- Use getent in smbadduser
* Fri Mar 07 2003 - ro@suse.de
- remove mminimal-toc from CFLAGS (ppc64)
* Thu Mar 06 2003 - kukuk@suse.de
- Add xinetd config file [Bug #24682]
* Thu Mar 06 2003 - kukuk@suse.de
- Remove cyrus-sasl from neededforbuild
* Mon Mar 03 2003 - lmuelle@suse.de
- add header files to samba package for squid, #24235
- remove rc_reset from status part of nmb init script
* Mon Feb 24 2003 - lmuelle@suse.de
- update samba-vscan to version 0.3.2a
* Tue Feb 18 2003 - lmuelle@suse.de
- add separate binaries to PreReq
- add /bin/grep to PreReq of the client package
- move README to client package and inform about the new doc package, #23838
- fix %%post in case of update
- fix nmb init script, #23854
* Mon Feb 17 2003 - lmuelle@suse.de
- add appropriate suffix to example smb.conf of documentation
- add example to auto mount or umount CD drive to smb.conf
- add -s ${SMB_CONF} to all startproc calls in init scripts
* Fri Feb 14 2003 - lmuelle@suse.de
- call SuSEconfig -module samba if packages with binaries are installed via rpm
- only insserv nmb depending on an active smb service, if we update from a
  version before SuSE Linux 8.1
- add meta data to sysconfig file
- add appropriate suffix to README
- update samba-vscan to version 0.3.2
- split libsmbclient and libsmbclient-devel package from samba-client
- add msdfsproxy and ldaprebind patches from Guenther Deschner <gd@suse.de>
* Wed Jan 29 2003 - kukuk@suse.de
- Remove samba-doc requires from samba-client
* Wed Jan 15 2003 - ro@suse.de
- use fPIC in samba-vscan
* Wed Jan 15 2003 - ro@suse.de
- use sasl2
* Wed Jan 15 2003 - ro@suse.de
- added logrotate config
- added patch to work around glibc defining st_atime as macro
* Fri Dec 13 2002 - ro@suse.de
- updated neededforbuild
* Thu Dec 12 2002 - lmuelle@suse.de
- update samba to version 2.2.7a
- update samba-vscan to version 0.3.1
- move tdb tools to client package
- move smbldap-tools from examples/LDAP to a new package
- move samba.schema to /etc/openldap/schema
* Fri Nov 22 2002 - lmuelle@suse.de
- fix some broken literals in samba-svan and nettime
- split documentation to samba-doc subpackage
- move provides smbfs to samba-client package
* Wed Nov 20 2002 - lmuelle@suse.de
- update samba to version 2.2.7; this includes the security fix for the
  broken password length handling
- update samba-vscan to version 0.3.0
- remove superfluous aclocal, autoconf and libtoolize calls
* Fri Nov 08 2002 - lmuelle@suse.de
- use rc_exit, not exit at the end of the smbfs init script, #21641
* Wed Nov 06 2002 - lmuelle@suse.de
- remove check and Required-Start for nmb in smbfs init script, #20793
  move nmb from Required-Start to X-UnitedLinux-Should-Start
  add section about smbfs and nmb service to README.SuSE
- add fix for s390 interface handling, #15717
* Tue Nov 05 2002 - lmuelle@suse.de
- add security fix for wrong passwd len handling
* Sat Oct 19 2002 - lmuelle@suse.de
- update to version 2.2.6
* Thu Oct 17 2002 - lmuelle@suse.de
- generate version suffix UL or SuSE as required from Samba team
* Wed Oct 16 2002 - lmuelle@suse.de
- add improved ACL mapping patch, #19494
- remove check_nmbd and rc_reset from smb init script status part, #20921
- also remove check_nmbd from winbind and smbfs init scripts
* Tue Oct 08 2002 - lmuelle@suse.de
- add improved ACL mapping patch, #19494
- set syslog = 0, log level = 1 in smb.conf, #20411
- switch to RFC 3330 conform example IP addresses in smb.conf
- remove character set and client code page from smb.conf, #20378
* Thu Sep 26 2002 - ro@suse.de
- remove hang in smbfs init script (#20204)
* Wed Sep 25 2002 - agruen@suse.de
- WinNT compatibility fix in the improved ACL mapping
* Mon Sep 23 2002 - lmuelle@suse.de
- add ACL mapping fixes from Andreas Gruenbacher <agruen@suse.de>
- put SAM related binaries in extra subdirectories
- set TMPDIR to /var/tmp in smb init script
- create classic and ldap sudirectories for the binaries to get usual
  process names
- remove runlevel 2 from Default-Start of smbfs; add nmb to Required-Start
- warn if nmbd is not running while start of smb, smbfs and winbind
- drop rcsamba
* Thu Sep 12 2002 - lmuelle@suse.de
- add missing user information if nmbd is reloaded
- add root to write list of print$ in default smb.conf
* Thu Sep 12 2002 - lmuelle@suse.de
- add check for ready cupsd if CUPS is active and Samba using CUPS as
  printing system
- remove ACL fixes, #19494
* Wed Sep 11 2002 - lmuelle@suse.de
- add winbind to X-UnitedLinux-Should-Start of smb init script
* Tue Sep 10 2002 - lmuelle@suse.de
- intergrate ACL fixes from Andreas Gruenbacher <agruen@suse.de>
- split smb in two (smb and nmb) init scripts
- fix Required-Start of smb and winbind init script
- include most parts of two mostly printing related pre 2.2.6 patches
* Mon Sep 09 2002 - lmuelle@suse.de
- check existence of brlock and locking tdb, #18978
- include tdbdump, tdbtest, tdbtool, tdbtorture
- change smb and winbind init script, #18784
* Tue Sep 03 2002 - lmuelle@suse.de
- let SuSEconfig.samba use correct lib subdirectory, #18730
- include printing patch for 2.2.5 from Samba team
- let smb and winbind init script also recognize daemons started before
  an update of the package; workaround for #18784
- include netttime program, #6508
* Fri Aug 30 2002 - lmuelle@suse.de
- replace wrong, left variable in %%post of samba by filename
* Wed Aug 28 2002 - lmuelle@suse.de
- make reload of smbfs init script equal to restart
- remove Should-Start smb in smbfs init script
- create ntadmin group in %%pre of samba
- adjust permission and ownership of /var/lib/samba/drivers
* Wed Aug 21 2002 - lmuelle@suse.de
- fix start of smbfs init script; introduce /etc/samba/smbfstab, #7146
- reinclude lost pdbedit and man page, now part of the client package
- move cupsd to Should-Start in smb, also smb and remove $remote_fs from
  Required-Start in smbfs init script
- rename sysconfig.samba-samba-client to sysconfig.samba-client and use
  fillup_only with -ans due to usage in a subpackage
- force LDAP protocol version 3 during connection establishment
* Tue Aug 20 2002 - lmuelle@suse.de
- add missing PreReq to samba and samba-client, #17979, #17980
- fix status of smbfs init script, #9092
* Tue Aug 20 2002 - lmuelle@suse.de
- fix path to temp file in %%post of samba
- fix %%post of samba-client, rename sysconfig.samba to
  sysconfig.samba-samba-client
* Mon Aug 19 2002 - lmuelle@suse.de
- drop the split in classic and ldap version; introduce etc/sysconfig/samba
  and SuSEconfig.samba instead to get the appropriate binaries, #17691
* Fri Jul 26 2002 - gd@suse.de
- fixed /usr/share/samba in %%files
- moved libsmbclient libraries to samba-client
* Fri Jul 19 2002 - gd@suse.de
- added rediffed start_tls-fix from cvs
- enabled challenge-response-auth for winbind
- removed all references to rc.config
- made cups default printing system for SuSE Linux 8.1
* Thu Jul 18 2002 - link@suse.de
- updated to samba-vscan-0.2.5d
-- bugfix for F-Prot Daemon and ScannerDaemon
-- added a sanity check for "grepping" the virus name from
  the output of ScannerDaemon and F-Prot Daemon
-- init message has been changed when module is loaded
-- added Makefile fix for x86-64 by Ulricht Hecht
* Tue Jul 16 2002 - uli@suse.de
- link PIC objects into examples/VFS stuff (fixes x86-64)
* Tue Jul 16 2002 - kukuk@suse.de
- Don't use macros for Version:
* Mon Jul 15 2002 - gd@suse.de
- update to version 2.2.5 (mainly done by Lars Mueller <lmuelle@suse.de>)
- added samba-vscan 0.2.5a as subpackage
- link against acl and attr library
- added winbind-init script, rewrote smb-init script
- updates, clean-ups in smb.conf and more examples
- added patch for pdbedit to handle script based LDAP account creation
  and make deletion of only SAM LDAP entries possible and added a -b option
  for pdbedit to allow stdin password changes (patch by lmuelle@suse.de)
- fixed smbadduser script patch (bug #15562)
- split the samba-package into a classic and a ldap-version:
  thus you need in either case samba/samba-client, then you choose
  between samba-classic/samba-classic-client for the common smbpasswd-backend
  or samba-ldap/samba-ldap-client to support the ldapsam-backend.
- added README.SuSE
- added link to make using_samba accessible from swat
- no sgid for printer-drivers-dir
* Fri Jun 14 2002 - meissner@suse.de
- rerun auto* tools, use -mminimal-toc on ppc64.
* Fri Mar 08 2002 - kukuk@suse.de
- Add libsmbclient.so.0 and /usr/share/samba to filelist
* Thu Feb 14 2002 - adrian@suse.de
- install needed header file for libsmbclient.so
* Sun Feb 10 2002 - kukuk@suse.de
- Don't test for -fpic if PICFLAG is already set
* Thu Feb 07 2002 - lmuelle@suse.de
- Update to 2.2.3a, minor bugfix release
* Thu Feb 07 2002 - lmuelle@suse.de
- Update to 2.2.3
- Fix smbsh library search path
- Removed 'kernel oplocks = No' from smb.conf; default is yes
- Include pam_smbpass, syslog, utmp, and winbind support
- Include libsmbclient
- Include findsmb
* Tue Jan 08 2002 - egmont@suselinux.hu
- Cosmetical changes in init scripts
* Thu Dec 20 2001 - ro@suse.de
- removed START_SMB and added insserv_macros
* Sun Sep 23 2001 - lmuelle@suse.de
- Shorten output and tunig of old configuration files handling
- Include SID and secrets files to old configuration files handling
- Move netlogon and profiles directories to /var/lib/samba
- Move smbpasswd binary and man page to samba-client package
- Introduce additional sym link from /etc/init.d/smb to rcsamba due to
  too many typos and cleaner systematic
- Add character set = ISO8859-15 and client code page = 850 to smb.conf
  in the global section to enable correct UNIX <-> DOS character
  mapping for west European languages
- Change create mask of home section to 0640, directory mask to 0750;
  change create mask of printers section to 0600 in smb.conf
- Move path of printers section to /var/tmp
* Fri Aug 24 2001 - lmuelle@suse.de
- Move all configuration files to /etc/samba
- Move data bases to /var/lib/samba; important, cause boot script
  cleans up /var/lock/samba
- Move pid files to /var/run/samba
- Link against cups library
- Use build root
- Rename subpackage smbclnt to samba-client
- Move /usr/share/doc/packages/samba to package samba-client
- Move /usr/lib/samba/scripts to /usr/share/samba/scripts
- Move /usr/lib/samba/codepages to /usr/share/samba/codepages
- Move /usr/lib/samba/swat to /usr/share/samba/swat
- Move /usr/lib/samba/VFS/* to /usr/lib/samba
- Remove smb.conf from package samba, kept in samba-client
- Remove redundant html documentation of man pages
- Remove superfluous install and uninstall scripts
- Add example configuration file /etc/samba/smbusers
- Update to 2.2.1a: fixes bug with too strict name handling while adding
  a machine into a domain
- Update to 2.2.1: add pam password changing and pam restrictions code;
  printer driver management improvements (delete driver); fix for Samba
  running on top of Linux VFAT ftruncate bug
* Tue Aug 14 2001 - ro@suse.de
- Don't use absolute paths to PAM modules in PAM config files
* Wed Jun 27 2001 - ro@suse.de
- re-added the libtoolize to make it build
* Tue Jun 26 2001 - lmuelle@suse.de
- Update to 2.2.0a fixes remote file create/ append bug. This may
  only happen by '%%m' macro usage for the 'log file' command.
- spec and dif cleanup
- Include VFS module support.
* Wed Jun 13 2001 - ro@suse.de
- fix to build with new autoconf
* Wed May 30 2001 - ro@suse.de
- config-dist.sh: accept any kernel version on s390
* Thu May 10 2001 - bodammer@suse.de
- initscript fix: don't start smbd in runlevel 2 [bug #8046]
- some additional files included to doc (COPYING, README, ..)
* Wed May 09 2001 - uli@suse.de
- bzipped tarball
* Tue May 08 2001 - schwab@suse.de
- Don't use _syscallX.
* Mon Apr 30 2001 - ro@suse.de
- added config-dist.sh to build only on 2.4 machines
  (samba configure seems braindead enough to check
  the running kernel)
* Mon Apr 30 2001 - ro@suse.de
- removed kerberos support: does not work as expected
* Tue Apr 24 2001 - lemsi@suse.de
- for 7.2 we have added some kerbereos 5 support
* Tue Apr 24 2001 - lemsi@suse.de
- new version samba 2.2
- new spec file with more functions for configure
- libnss_winbind.so support for /etc/nsswich.conf
* Wed Apr 18 2001 - lemsi@suse.de
- new security fixes and version 2.0.8 for 6.3, 6.4, 7.0, 7.1
* Tue Apr 17 2001 - lemsi@suse.de
- new rcsmb script
- include security fixes
* Fri Mar 09 2001 - ro@suse.de
- don't mess with os_install_post
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Wed Feb 07 2001 - schwab@suse.de
- Fix LFS support in client.
* Mon Feb 05 2001 - schwab@suse.de
- Compile with -D_GNU_SOURCE and -D_LARGEFILE64_SOURCE to get missing
  declarations.
- Include <sys/types.h> when checking for ino64_t.
- Include <crypt.h> for crypt declaration.
* Wed Jan 31 2001 - lemsi@suse.de
- added codepages in smbclnt-subpackage
- changed german coments to english coments
* Wed Jan 03 2001 - lemsi@suse.de
- changed in the share section the path /cd to /cdrom
- added smb.conf to the smbclnt-subpackage
* Tue Nov 28 2000 - kukuk@suse.de
- Fix init scripts and move them to /etc/init.d
- Fix post/postun section for subpackages
* Fri Nov 24 2000 - bodammer@suse.de
- rcscript update
* Mon Aug 28 2000 - choeger@suse.de
- changed $* to "$@" in mount.smbfs to make it also
  possible to mount shares with spaces
* Mon Jul 31 2000 - choeger@suse.de
- improvement for rcsmb
- fix for spec-file to compile with NIS netgroups
* Thu Jul 20 2000 - choeger@suse.de
- added smbfs initscript that has been removed
  by an error
* Tue Jul 11 2000 - choeger@suse.de
- split package into client and server parts
  client package name: smbclnt
* Wed Apr 26 2000 - choeger@suse.de
- new version, 2.0.7
* Thu Apr 06 2000 - ro@suse.de
- removed pam,cracklib from neededforbuild: build handles this
* Wed Apr 05 2000 - bk@suse.de
- s390 team added config.{sub,guess} update macro for s390
* Mon Mar 27 2000 - choeger@suse.de
- fixed bug in specfile
  the multilined configure call missed a "\" :-(
* Thu Mar 09 2000 - choeger@suse.de
- fixed typo in specfile
* Wed Mar 01 2000 - choeger@suse.de
- added %%{_mandir}
* Tue Feb 08 2000 - choeger@suse.de
- removed /sbin/init.d/smbfs because it is no longer needed
* Mon Jan 03 2000 - choeger@suse.de
- bugfix for ipc.c
  to make roaming profiles work again.
* Tue Nov 30 1999 - choeger@suse.de
- changed kernel oplocks = off to
  kernel oplocks = false
* Tue Nov 16 1999 - choeger@suse.de
- added kernel oplocks = off in smb.conf
* Fri Nov 12 1999 - choeger@suse.de
- new version, 2.0.6
* Fri Nov 05 1999 - choeger@suse.de
- Fix for the smbmount lost-connection problem
  _seems_ to work...
* Fri Oct 29 1999 - choeger@suse.de
- removed comment sign in /etc/inetd.conf for swat
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 10 1999 - fehr@suse.de
- set execute permissions for mksmbpasswd.sh and changesmbpasswd.sh
* Thu Jul 29 1999 - fehr@suse.de
- fixed typo in /sbin/init.d/smbfs
* Thu Jul 22 1999 - fehr@suse.de
- changed to new version 2.0.5a
* Wed Jul 21 1999 - fehr@suse.de
- changed to new version 2.0.5
* Tue Jul 20 1999 - fehr@suse.de
- install /sbin/init.d/smbfs
- changed to new version 2.0.5pre4
* Mon Jul 19 1999 - fehr@suse.de
- add /sbin/init.d/smbfs
- changed to new version 2.0.5pre3
* Fri Jul 02 1999 - fehr@suse.de
- removed "umount -a -t smbfs" from start sscript
* Tue Jun 22 1999 - kukuk@suse.de
- 2.0.4b changed default values, enable PAM again
* Fri Jun 18 1999 - kukuk@suse.de
- changed to new version 2.0.4b
* Mon Jun 14 1999 - kukuk@suse.de
- Enable PAM, add samba.pamd
* Mon May 03 1999 - fehr@suse.de
- add umount -a -t smbfs to shutdown sequence of samba
* Thu Mar 11 1999 - ro@suse.de
- smbmount: define NR_OPEN to 1024 if undefined (GLIBC-2.1)
* Wed Mar 10 1999 - choeger@suse.de
- some enhancements for smb.conf
* Wed Mar 10 1999 - choeger@suse.de
- new version 2.0.3 and smbmount now seems to work
* Tue Mar 09 1999 - ro@suse.de
- use samba-2.0.2 for STABLE
- use smbfs-2.1 with kernel 2.2.2
* Sun Feb 28 1999 - ro@suse.de
- for glibc-2.1 strncat uses strcat for one subcase, so don't
  redefine strcat to "ERROR" for glibc-2.1
* Mon Feb 15 1999 - fehr@suse.de
- fix for umount problem from Volker
* Tue Feb 09 1999 - fehr@suse.de
- changed to version 2.0.2 of samba
* Fri Jan 15 1999 - bs@suse.de
- replaced /sbin/init.d/smb with newer style version (again)
* Fri Jan 15 1999 - fehr@suse.de
- switched to new version 2.0.0
* Wed Jan 13 1999 - bs@suse.de
- fixed entry in inetd.conf
* Wed Jan 13 1999 - bs@suse.de
- replaced /sbin/init.d/smb with newer style version
* Mon Jan 11 1999 - vl@suse.de
- make 2.0.0beta5 package of samba
* Mon Aug 24 1998 - vl@suse.de
- changed to version 1.9.18p10
* Mon Jun 29 1998 - vl@suse.de
- changed to version 1.9.18p8
* Mon Apr 20 1998 - vl@suse.de
- changed to version 1.9.18p4
* Thu Feb 19 1998 - vl@suse.de
- changed to version 1.9.18p3
* Tue Feb 03 1998 - vl@suse.de
- changed to version 1.9.18p2
- fixed some problems in spec-file, some files were missing :-(
- fixed smbfs-2.0.2/Makefile.Linux
* Tue Jan 13 1998 - vl@suse.de
- changed to version 1.9.18p1
* Fri Jan 09 1998 - vl@suse.de
- changed to version 1.9.18
* Tue Dec 02 1997 - bs@suse.de
- disable samba by default in /etc/rc.config
* Mon Oct 06 1997 - fehr@suse.de
- package prepared for automatic building
* Mon Sep 29 1997 - fehr@suse.de
- updated to version 1.9.17p2 due to security hole.
* Wed Jul 16 1997 - fehr@suse.de
- add fillup-template for rc.config and install it in doinst.sh
* Fri Jun 27 1997 - bs@suse.de
- update to smbfs-2.0.2, due to security hole.
* Tue Jun 17 1997 - fehr@suse.de
- changed init-skript to recognize entry START_SMB of rc.config
* Mon Jun 02 1997 - vl@suse.de
- update to version 1.9.16p11
- Starting Samba from /sbin/init.d, not from inetd.conf
* Sun Feb 02 1997 - vl@suse.de
- update to version 1.9.16p10
- Adapted /etc/smb.conf.sample to 4.4.1 manual
* Thu Jan 02 1997 - florian@suse.de
- update to version 1.9.16p9
- configuration file is now /etc/smb.conf
- smbd and nmbd are now in /usr/sbin
- added start-script /sbin/init.d/smb and entry in /etc/rc.config
* Thu Jan 02 1997 - florian@suse.de
- Update auf neue Version 1.9.16p6.
